/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.managementcenter.activiti.service;

import com.jeeplus.core.service.CrudService;
import com.jeeplus.modules.sg.managementcenter.activiti.entity.PersonnelManagement;
import com.jeeplus.modules.sg.managementcenter.activiti.entity.ProcessPersonnel;
import com.jeeplus.modules.sg.managementcenter.activiti.mapper.PersonnelManagementMapper;
import com.jeeplus.modules.sg.managementcenter.activiti.mapper.ProcessPersonnelMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 施工交底Service
 * @author
 * @version 2019-11-08
 */
@Service
@Transactional(readOnly = true)
public class ProcessPersonnelService extends CrudService<ProcessPersonnelMapper, ProcessPersonnel> {

	@Autowired
	private ProcessPersonnelMapper processPersonnelMapper;

	@Override
	public ProcessPersonnel get(String id) {
		return super.get(id);
	}

	@Override
	public List<ProcessPersonnel> findList(ProcessPersonnel entity) {
		return super.findList(entity);
	}

	@Override
	public List<ProcessPersonnel> findListBy(List<ProcessPersonnel> entity) {
		return super.findListBy(entity);
	}

	@Override
	@Transactional(readOnly = false)
	public void save(ProcessPersonnel entity) {
		super.save(entity);
	}

	@Override
	public void delete(ProcessPersonnel entity) {
		super.delete(entity);
	}

	@Transactional(readOnly = false)
	public ProcessPersonnel findLoginName(String procInsId) {
		return processPersonnelMapper.findLoginName(procInsId);
	}

	@Transactional(readOnly = false)
	public void newUpdate(ProcessPersonnel processPersonnel) {
		processPersonnelMapper.newUpdate(processPersonnel);
	}
}